cURL
curl --request GET \
--url https://us.infisical.com/api/v1/app-connections/optionsimport requests
url = "https://us.infisical.com/api/v1/app-connections/options"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://us.infisical.com/api/v1/app-connections/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appConnectionOptions": [
{
"name": "AWS",
"app": "aws",
"methods": [
"assume-role"
],
"accessKeyId": "<string>"
}
]
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}App Connections
Options
List the available App Connection Options.
GET
/
api
/
v1
/
app-connections
/
options
cURL
Query Parameters
Available options:
secret-manager, cert-manager, kms, ssh, secret-scanning, pam, ai Response
Default Response
appConnectionOptions
(AWS · object | GitHub · object | GitHub Radar · object | GCP · object | Azure Key Vault · object | Azure App Configuration · object | Azure DevOps · object | Databricks · object | Humanitec · object | Terraform Cloud · object | Vercel · object | PostgreSQL · object | Microsoft SQL Server · object | MySQL · object | Camunda · object | Auth0 · object | Hashicorp Vault · object | Azure Client Secrets · object | Windmill · object | LDAP · object | TeamCity · object | OCI · object | OracleDB · object | 1Password · object | Heroku · object | Render · object | Fly.io · object | GitLab · object | Cloudflare · object | Bitbucket · object | Zabbix · object | Railway · object | Checkly · object | CircleCI · object | Supabase · object | DigitalOcean App Platform · object | Netlify · object | Northflank · object | Okta · object | Azure ADCS · object | Redis · object | object | Laravel Forge · object | Chef · object | DNS Made Easy · object | Azure DNS · object | Octopus Deploy · object | SMB · object | SSH · object | DBT · object | OpenRouter · object | Azure Entra ID · object | Venafi TLS Protect Cloud · object | Venafi TPP · object | Infisical · object | Doppler · object | NetScaler · object | Anthropic · object | OVH · object | Devin · object | Ona · object | DigiCert · object | GoDaddy · object | Travis CI · object | Salesforce · object | Snowflake · object | Datadog · object | F5 BIG-IP · object | Convex · object)[]
required
- AWS
- GitHub
- GitHub Radar
- GCP
- Azure Key Vault
- Azure App Configuration
- Azure DevOps
- Databricks
- Humanitec
- Terraform Cloud
- Vercel
- PostgreSQL
- Microsoft SQL Server
- MySQL
- Camunda
- Auth0
- Hashicorp Vault
- Azure Client Secrets
- Windmill
- LDAP
- TeamCity
- OCI
- OracleDB
- 1Password
- Heroku
- Render
- Fly.io
- GitLab
- Cloudflare
- Bitbucket
- Zabbix
- Railway
- Checkly
- CircleCI
- Supabase
- DigitalOcean App Platform
- Netlify
- Northflank
- Okta
- Azure ADCS
- Redis
- Option 42
- Laravel Forge
- Chef
- DNS Made Easy
- Azure DNS
- Octopus Deploy
- SMB
- SSH
- DBT
- OpenRouter
- Azure Entra ID
- Venafi TLS Protect Cloud
- Venafi TPP
- Infisical
- Doppler
- NetScaler
- Anthropic
- OVH
- Devin
- Ona
- DigiCert
- GoDaddy
- Travis CI
- Salesforce
- Snowflake
- Datadog
- F5 BIG-IP
- Convex
Show child attributes
Show child attributes
Was this page helpful?